.characters-list {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  height: 100%;

  &__header {
    background-color: rgb(30, 30, 30);
    text-align: center;
    width: 100%;

    &__logo {
      padding: 1em 0;
      width: 160px;
    }
  }

  &__content {
    height: 85%;
    display: flex;
    justify-content: center;
    overflow-y: scroll;
    overflow-x: hidden;
    width: 100%;

    &__cards {
      margin-top: 1em;
      height: 100%;
      width: 1140px;
      display: grid;
      grid-template-columns: 20% 20% 20% 20% 20%;
      gap: 4px;
      justify-items: center;

      @media (max-width: 1320px) {
        width: 900px;
        grid-template-columns: 25% 25% 25% 25%;
      }

      @media (max-width: 1000px) and (min-width: 700px) {
        width: 640px;
        grid-template-columns: 33% 33% 33%;
      }

      @media (max-width: 699px) and (min-width: 0px) {
        width: 400px;
        grid-template-columns: 50% 50%;
      }
    }

    &--loading {
      display: flex;
      justify-content: center;
    }
  }

  &__pagination {
    width: 100%;
    display: flex;
    justify-content: center;

    @media (max-width: 562px) {
      flex-wrap: wrap-reverse;
    }

    &__input {
      width: 160px;
      font-size: 1em;
      padding: 0 1em;

      @media (max-width: 562px) {
        width: 100%;
        padding: 0.5em;
      }
    }
  }
}
